Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jp.ac.nagoyau.is.ss.kishii.suntori.message.task.fb
Class ExtinguishAreaTaskMessage

    java.lang.Object
      jp.ac.nagoyau.is.ss.kishii.suntori.message.RCRSCSMessage
          jp.ac.nagoyau.is.ss.kishii.suntori.message.task.TaskMessage
              jp.ac.nagoyau.is.ss.kishii.suntori.message.task.fb.FireBrigadeTaskMessage
                  jp.ac.nagoyau.is.ss.kishii.suntori.message.task.fb.ExtinguishAreaTaskMessage

All Implemented Interfaces:
  IMessage, ITaskMessage

    public class ExtinguishAreaTaskMessage

extends FireBrigadeTaskMessage

The ExtinguishAreaTaskMessage represent the message that command to extinguish.
This class inform some areas (set of area) to FB and order to search and fight fires in this area.

Author:
  takefumi

Field Summary

Fields inherited from class jp.ac.nagoyau.is.ss.kishii.suntori.message.RCRSCSMessage
`COMMON_DATA_TYPE, data, messageType`

Constructor Summary
`ExtinguishAreaTaskMessage(int time, rescuecore2.worldmodel.EntityID ownerID, rescuecore2.worldmodel.EntityID fbID, rescuecore2.worldmodel.EntityID... areas)` Constructor
`ExtinguishAreaTaskMessage(int time, rescuecore2.worldmodel.EntityID ownerID, rescuecore2.worldmodel.EntityID fbID, java.util.List<rescuecore2.worldmodel.EntityID> areas)` Constructor
`ExtinguishAreaTaskMessage(java.util.List<java.lang.Integer> bitList, int offset, java.util.EnumMap<DataType,java.lang.Integer> bitSizeMap)` The method that the library use to convert the message.

Method Summary
`java.util.List<rescuecore2.worldmodel.EntityID>` | `getTargetAreaList()` Return list of EntityID of areas that are target of fire fight

Methods inherited from class jp.ac.nagoyau.is.ss.kishii.suntori.message.task.fb.FireBrigadeTaskMessage
`getAssignedAgentID`

Methods inherited from class jp.ac.nagoyau.is.ss.kishii.suntori.message.task.TaskMessage
`getMessageOwnerID, setEntityIDListData`

Methods inherited from class jp.ac.nagoyau.is.ss.kishii.suntori.message.RCRSCSMessage
`equals, getBrokenness, getBuriedness, getCoodinate, getDamage, getData, getData, getDataTypeArray, getEntityIDList, getFieryness, getHP, getID, getMessageBitSize, getMessageType, getRepairCost, getSendTime, getSendTime, getWater, getWaterPower, hashCode, isSendable, setCoorinate, setData, setData`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExtinguishAreaTaskMessage

    public ExtinguishAreaTaskMessage(int time,
                                     rescuecore2.worldmodel.EntityID ownerID,
                                     rescuecore2.worldmodel.EntityID fbID,
                                     rescuecore2.worldmodel.EntityID... areas)

  ## Constructor

  Create the message to order to fight fires to FB.
  Included data are follow.
  - time:the time that the message is created.(int)
  - ownerID:EntityID of the agent that sent this message.
  - fbID:EntityID of FB that is ordered to do.
  - areas:EntityIDs of area that are search target

  Parameters:
    `time` - step num
    `ownerID` - EntityID of the agent that sent this message.
    `fbID` - EntityID of FB.
    `areas` - EntityIDs of area

### ExtinguishAreaTaskMessage

    public ExtinguishAreaTaskMessage(int time,
                                     rescuecore2.worldmodel.EntityID ownerID,
                                     rescuecore2.worldmodel.EntityID fbID,
                                     java.util.List<rescuecore2.worldmodel.EntityID> areas)

  ## Constructor

  Create the message to order fight fires to FB.
  Included data are follow.
  - time:the time that the message is created.(int)
  - ownerID:EntityID of the agent that sent this message.
  - fbID:EntityID of FB that is ordered to do.
  - areas:List of EntityIDs of area that are search target

  Parameters:
    `time` - step num
    `ownerID` - EntityID of the agent that sent this message
    `fbID` - EntityID of the FB
    `areas` - List of EntityID

### ExtinguishAreaTaskMessage

    public ExtinguishAreaTaskMessage(java.util.List<java.lang.Integer> bitList,
                                     int offset,
                                     java.util.EnumMap<DataType,java.lang.Integer> bitSizeMap)

  The method that the library use to convert the message.

  Parameters:
    `bitList` -
    `offset` -
    `bitSizeMap` -

Method Detail

### getTargetAreaList

    public java.util.List<rescuecore2.worldmodel.EntityID> getTargetAreaList()

  Return list of EntityID of areas that are target of fire fight

  Returns:
    List of fire fight targets(List<EntityID>)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD